import { getTranslations } from 'next-intl/server';
import { SetupLayoutContent } from './setup-layout-content';

interface SetupLayoutProps {
  children: React.ReactNode;
  params: { locale: string };
}

export default async function SetupLayout({ children, params }: SetupLayoutProps) {
  const t = await getTranslations({ locale: params.locale, namespace: 'installer' });

  return (
    <SetupLayoutContent locale={params.locale} title={t('title')} notAccessible={t('notAccessible')}>
      {children}
    </SetupLayoutContent>
  );
}
